<?php
###############################
# génère le fichier AllFruits.inc à partir des tables Teams et Fruits
# dans la base. Le fichier est placé dans le répertoire d'archive
# $ARCHIVES_DIR
###############################

include("../config.php3");
include($BIB."bib_generic.php3");
include($ROOT_DIR."VIRALGAMES_Adm/Bib/bib_synchro.php");

###############################
# Fichier d'archive AllFruits :
$filename = "AllFruits.inc";
$ALL_FRUITS_ARCHIVE = $ARCHIVES_DIR.$filename;
###############################
?>
<html>
<head></head>
<link rel="stylesheet" href="admin.css">
<body rightmargin=0>
<div align=center class=trTitle>Génération du fichier Equipes & Maillots</div>
<br>

<?php

# function construisant une liste de type AllFruits
function makeList($rows,$field)
{
	db_data_seek($rows,0);
	$nb = db_num_rows($rows);
	
	$s = "array(\n";
	for($r=0;$r<$nb;$r++)
	{
		$row = db_fetch_array($rows);
		$s .= "\"".$row[Id]."\" => \"".$row[$field]."\"";
		if ($r<$nb-1)
			$s .= ",";
		$s .= "\n";
	}
	$s .= ");\n";
	return $s;
}

if ($submit=="Valider")
{
	# ouverture du AllFruits.inc pour ecriture
	$f_out = fopen($ALL_FRUITS_ARCHIVE,'w');
	
	$fruits = main_db_query("SELECT * FROM Teams WHERE Image NOT LIKE '%fruit_transp.gif%' ORDER BY Name ASC");
	$teams = main_db_query("SELECT * FROM Teams ORDER BY Id ASC");
	
	#####################################
	# ecriture dans le fichier AllFruits.inc
	#####################################
	$msg = "<?php\n";
	
	# fruits names
	$nb = db_num_rows($fruits);
	$msg .= "\$FRUITS=".$nb.";\n";
	$msg .= "\$FRUIT_NAMES=";
	$msg .= makeList($fruits,"Name");
	fwrite($f_out,$msg);
	
	# fruits images
	$msg = "\$FRUIT_LIST=";
	$msg .= makeList($fruits,"Image");
	fwrite($f_out,$msg);
	
	# teams names
	$nb = db_num_rows($teams);
	$msg = "\$TEAMS =".$nb.";\n";
	$msg .= "\$TEAM_NAMES=";
	$msg .= makeList($teams,"Name");
	fwrite($f_out,$msg);
	
	# teams images
	$msg = "\$TEAM_LIST=";
	$msg .= makeList($teams,"Image");

	$msg .= "\n?>";
	fwrite($f_out,$msg);
	#####################################
	
	fclose($f_out);
	
	# on change le propriétaire du dossier, il devient web pour pouvoir être répliqué sans pbs
	cmd($CHOWN_CMD." -R web:web ".$ARCHIVES_DIR);
	//on remet le droit d'ecriture sur le fichier
	cmd($CHMOD_CMD." 777 ".$ARCHIVES_DIR.$filename);	
	# le nouveau dossier généré doit être répliqué
	shareFileToAll($ARCHIVES_DIR, $filename);
	
	echo "La page \"Equipes et Maillots\" a été générée<font color=red>... Cliquez maintenant sur Synchroniser !!!</font>";
}
else
{
?>
OK pour générer le fichier "Equipes et Maillots" ?
<form>
<input type=submit name=submit value="Valider">
</form>
<?php
}
?>
